html {
  font-family: 'Segoe UI', 'Helvetica Neue', Arial, Tahoma, sans-serif;
}

.wrapper {
  display: flex;
  flex-direction: row-reverse;
  justify-content: flex-end;
}

input[type=radio] {
  display: none;
}

svg{
  stroke: orange;
  fill: white;
  width: 100px;
  height: 100px;
}

input:hover svg,
input:hover ~ label svg{
  fill: yellow
}

input:checked ~ label svg{
  fill: orange
}